/**********************************
(nearly) NIMO Clock - Arduino Pro Mini code

https://www.hackster.io/paul-bricmont/nearly-nimo-clock-9309ec

Copyright (c) 2018 Paul Bricmont

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

***********************************/

#include <Adafruit_NeoPixel.h> // NeoPixel library -> https://github.com/adafruit/Adafruit_NeoPixel


#define PIN            10      // This is the pin on Arduino that the NeoPixel are connected to. Any pin that can be used as a digital output is suitable. 


#define NUMPIXELS      96      // This is the number of NeoPixels used. A 6 digit clock (with 16 per LCD) will use 96 NeoPixels. 

// This code defines the NeoPixel object using the above values and the most common bitstream values. 
// If you have trouble with your NeoPixels please see the NeoPixel library strandtest example for more options. 
Adafruit_NeoPixel bklight = Adafruit_NeoPixel(NUMPIXELS, PIN, NEO_GRB + NEO_KHZ800);



void setup() {
  
  bklight.begin();              // Initialize the NeoPixel backlight
  
  bklight.setBrightness(200);   // Set the brightness, range is 0-255
  
// This code sets all the NeoPixels to the specified color and turns them on. 
// This only needs to be done once when the clock is powered on so the code can be run in setup. 
  for(int i=0;i<NUMPIXELS;i++){

  bklight.setPixelColor(i, bklight.Color(0,255,50)); // Sets the NIMO green color (0,255,50)

  bklight.show(); // This sends the updated pixel color to the hardware.
    
  }

}

void loop() {
  
  // Nothing to do here. 

}
